'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = validate;

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _validationError = require('../error/validationError');

var _validationError2 = _interopRequireDefault(_validationError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Validate an object according to a Joi schema
 * Return a promise, resolve with the validate schema, reject with the error.
 * @param type - Joi schema
 * @param object - Object to validate
 * @returns {Promise}
 */
/**
 * Created by asafdavid on 13/12/2015.
 */
function validate(type, object) {
  return new _bluebird2.default(function (resolve, reject) {
    type.validate(object, function (err, value) {
      if (err) {
        reject(new _validationError2.default(err));
      } else {
        resolve(value);
      }
    });
  });
}